For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
      • GETList Workspace Webhooks
      • POSTCreate Workspace Webhook
      • DELDelete Workspace Webhook
      • PATCHUpdate Workspace Webhook
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
WorkspaceWebhooks

Create Workspace Webhook

POST
/v1/workspace/webhooks
POST
/v1/workspace/webhooks
$curl -X POST https://api.elevenlabs.io/v1/workspace/webhooks \
> -H "Content-Type: application/json" \
> -d '{
> "settings": {
> "auth_type": "hmac",
> "name": "Order Processing Webhook",
> "webhook_url": "https://hooks.example.com/order-processing"
> }
>}'
1{
2 "webhook_id": "wh_9f8b7c6d5e4a3b2c1d0e",
3 "webhook_secret": "a1b2c3d4e5f67890abcdef1234567890"
4}
Create a new webhook for the workspace with the specified authentication type.
Was this page helpful?
Previous

Delete Workspace Webhook

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
settingsobjectRequired

Webhook settings object containing auth_type and corresponding configuration

Response

Successful Response
webhook_idstring
webhook_secretstring or null

Errors

422
Unprocessable Entity Error